none
iis net 4.0 报错 RRS feed

  • 问题

  • 主机安装2008R2 + vs2010 + net4.0
    用2010建立了一个空白的主页,放在iis运行,错误信息如下:

    说明: 在处理向该请求提供服务所需的配置文件时出错。请检查下面的特定错误详细信息并适当地修改配置文件。

    分析器错误消息: 无法识别的属性“targetFrameworkMoniker”。请注意属性名称区分大小写。

    源错误:

    行 24:   
    行 25:     <system.web>
    行 26:         <compilation debug="true" targetFrameworkMoniker=".NETFramework,Version=v4.0">
    行 27: 
    行 28: 
    请问要在哪里再设置?

    2009年9月11日 23:50

答案

全部回复

  • iis里要选择asp.net版本为4.0

    我使用win7测试的,win2008我想应当类似

    http://blog.csdn.net/net_lover/archive/2009/05/21/4207433.aspx
    【孟子E章】
    • 已标记为答案 lfj0912 2009年9月13日 1:40
    2009年9月11日 23:52
    版主
  • 2008 R2 里有一个 ISAPI 筛选器 ,里面有net 4.0-64位 ,net 4.0 -32位 , net 2.0 -64位 , net 2.0 -32位, net 1.1, 总的有5个, 由于2008 R2的是64位, 所以上移net 4.0 -64到第一个.
    可是问题依然存在,还是一样的提示.
    2009年9月12日 13:51
  • 重新安装2008 R2 , 安装IIS, 再安装vs2010,创建一个空白页放到IIS文件夹,把net 4.0 -64 移到第一个。运行还是同样的提示。郁闷中……

    2009年9月12日 23:22
  • 把 应用程序池 改为 ASP.NET v4.0,
    可以了。
    • 已标记为答案 lfj0912 2009年9月12日 23:44
    2009年9月12日 23:44
  • 把 应用程序池 改为 ASP.NET v4.0,
    可以了。

    多谢分享啊,哈,我正在搭建环境,就已经解决了。
    2009年9月13日 13:59